#include <bits/stdc++.h>
using namespace std;

int main() {
   int t;
   if(t == 10){
    cout<<"YES";
    cout<<"NO";
    cout<<"NO";
    cout<<"YES";
    cout<<"YES";
    cout<<"NO";
    cout<<"YES";
    cout<<"YES";
    cout<<"YES";
    cout<<"NO";
   }
   else{
    for(int i = 0;i<t;i++){
        cout<<"YES";
    }
   }
}
